Page MenuHomePhabricator

Update Intel i40e driver to 2.9.21
Closed, ResolvedPublicFEATURE REQUEST

Description

Currently VyOS runs Intel i40e driver 2.7.29 - it should be upgraded to the latest version 2.9.21.

2.8.43 did not work b/c it reported missing lldp symbols inside the driver.

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close

Event Timeline

c-po claimed this task.Jun 19 2019, 12:34 PM
c-po triaged this task as Normal priority.
c-po created this task.
c-po added a subscriber: zsdc.
c-po added a comment.EditedJun 23 2019, 4:51 PM
[   82.439572] i40e: loading out-of-tree module taints kernel.
[   82.446562] i40e: Intel(R) 40-10 Gigabit Ethernet Connection Network Driver - version 2.9.21
[   82.446564] i40e: Copyright(c) 2013 - 2019 Intel Corporation.
Version:          VyOS 1.2.0-rolling+201906231514
Built by:         autobuild@vyos.net
Built on:         Sun 23 Jun 2019 15:14 UTC
Build UUID:       d3fd746f-d401-4e41-838c-cae61656175b
Build Commit ID:  0daaef8b5b763c
c-po closed this task as Resolved.Jun 23 2019, 4:56 PM
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.